$(function(){
  // WebSocketのコネクションを確立する
  var WebSocket_ = window.WebSocket || window.MozWebSocket; // FF in current version requires vendor prefix
  var ws = new WebSocket_("ws://" + location.host + "/");

  var id_ = null;

  ws.onopen = function() {
    // コネクションが確立した。
      $(window).bind("bodyshow",function(e, data){
      // 本文表示終了のイベントを受信したら、その情報をWebSocketで送信
      // なお、直前に見ていたものと同じ場合は送信しない（データ送受信のループを防ぐため）
      if(id_ != data.id)
        ws.send(data.id+","+data.name);

      id_ = data.id;
    });
    ws.onmessage=function(e){
      // WebSocketで受信したら、画面上部にオーバレイ表示
      var data = e.data;

      var arr = data.split(",");
      // 受信メッセージを表示
         var html_ = "<div style='border:1px solid black;background: #fff;font-weight:bold;color:red;position:absolute;top: 0.2em;right: 0.2em;'>"
            +"誰かがチェック中!!「#{name}」</div>";
          $(html_.replace("#{name}", arr[1])).appendTo('body').fadeOut(3000, function(){$(this).remove();});

      id_ = arr[0];

      location.hash = "#"+id_;
    }

    window.onunload = function(){
      ws.close();
    }
  }
});
